package com.concatsys.tradein.tradein_plugin.activities;

import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

import com.concatsys.tradein.tradein_plugin.R;

import io.flutter.embedding.android.FlutterActivity;
import io.flutter.embedding.engine.FlutterEngine;
import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.common.MethodChannel.MethodCallHandler;
import io.flutter.plugin.common.MethodChannel.Result;

public class NativeViewActivity extends FlutterActivity implements MethodCallHandler {

    private static final String CHANNEL = "tradein_plugin";
    MethodChannel methodChannel;

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_native_view);
        methodChannel = new MethodChannel(getFlutterView(), CHANNEL);
        methodChannel.setMethodCallHandler(this);
        Intent in = getIntent();
        String resultStr =  in.getStringExtra("Name");
        TextView textView = (TextView) findViewById(R.id.action_text);
        String ss = "Array - "+resultStr;
        Log.v("Venky", " List size - "+resultStr);
        Log.v("Venky", " List final value - "+ss);

        textView.setText("Welcome - "+ss);
    }

    @Override
    protected void onDestroy() {
        super.onDestroy();
        methodChannel.setMethodCallHandler(null);
    }

    public BinaryMessenger getFlutterView(){
        return getFlutterEngine().getDartExecutor().getBinaryMessenger();
    }

    @Override
    public void onMethodCall(@NonNull MethodCall call, @NonNull Result result) {
        if(call.method.equals("screenNavigate")){
//            result.success("true");
        }
    }
}