package com.concatsys.tradein.tradein_plugin.activity;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

import com.concatsys.tradein.tradein_plugin.R;
import com.concatsys.tradein.tradein_plugin.db.ConstantsDB;
import com.concatsys.tradein.tradein_plugin.db.DBOperations;
import com.concatsys.tradein.tradein_plugin.utils.DateAndTimeUtils;
import com.concatsys.tradein.tradein_plugin.logs.LoggerTradeIn;


public class AddVehicleActivity extends BaseActivity implements View.OnClickListener {
    private String TAG = getClass().getSimpleName();
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        ConstantsActivity.ACTIVITY_TITLES = "";
        super.setLayout(R.layout.activity_add_vehicle);
        super.onCreate(savedInstanceState);
        DBOperations dbOperations = DBOperations.getInstance();
        dbOperations.getMyVehicleSize(AddVehicleActivity.this);

        initUI();
    }

    /* Initialize UI */
    private void initUI() {
        LoggerTradeIn.e(TAG, "initUI");
        Button btn_home_add_vehicle = findViewById(R.id.btn_home_add_vehicle);
        btn_home_add_vehicle.setOnClickListener(this);
//        ConstantsDB.TABLE_NAME_SCREEN = sharedPreferenceTI.getStringValue(this, ConstantsDB.SHARED_PREFS_SCREEN_KEY);
        LoggerTradeIn.e(TAG, ConstantsDB.TABLE_NAME_SCREEN);
//        navigateToScreen();
        initSharedPrefs(ConstantsDB.SHARED_PREFS_SCREEN_KEY, getString(R.string.add_vehicle));

    }

    /* Add Vehicle Click */
    @Override
    public void onClick(View v) {
        LoggerTradeIn.e(TAG, "Add Vehicle Click");
        if (v.getId() == R.id.btn_home_add_vehicle) {
            LoggerTradeIn.e(TAG, "Add Vehicle Click");
            LoggerTradeIn.e(TAG, "dbVehicleIndex = "+ ConstantsDB.dbVehicleIndex +"");
            ConstantsActivity.ACTIVITY_UPDATE_FLAG = ConstantsActivity.ACTIVITY_UPDATE_FLAG_NEW;
            ConstantsActivity.hmDBVehicles.clear();
            ConstantsActivity.hmUsers.clear();
            DBOperations dbOperations = DBOperations.getInstance();
            dbOperations.insertVehicle(this, ConstantsDB.dbVehicleIndex, "1", false, 0.0, "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", false, false, "", "","", DateAndTimeUtils.getDateTimeFormat(), DateAndTimeUtils.getDateTimeFormat(),"visible");
            dbOperations.insertVehicleMedia(this,ConstantsDB.dbMediaIndex,"1","1",null, "","",false, DateAndTimeUtils.getDateTimeFormat(), DateAndTimeUtils.getDateTimeFormat());
            dbOperations.insertUsers(this,"","","","","","","","",DateAndTimeUtils.getDateTimeFormat(),DateAndTimeUtils.getDateTimeFormat());

            Intent intent = new Intent(getApplicationContext(), VehicleInfoOneActivity.class);
//            Intent intent = new Intent(getApplicationContext(), VehicleInfoTwoActivity.class);
//            Intent intent = new Intent(getApplicationContext(), VehicleOptionsActivity.class);
//            Intent intent = new Intent(getApplicationContext(), VehicleConditionActivity.class);
//            Intent intent = new Intent(getApplicationContext(), VehicleMediaActivity.class);
//            Intent intent = new Intent(getApplicationContext(), UserProfileActivity.class);
//            Intent intent = new Intent(getApplicationContext(), SummaryActivity.class);
            startActivity(intent);
            finish();
//            dbOperations.displayVehicles(this);
//            dbOperations.displayAllMedia(this);
//            dbOperations.printMedia(this);
        }
    }

}
