package com.concatsys.tradein.tradein_plugin.activity;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.text.Editable;
import android.text.TextWatcher;
import android.view.Gravity;
import android.view.View;
import android.view.WindowManager;
import android.widget.Button;
import android.widget.EditText;
import android.widget.LinearLayout;
import android.widget.RadioButton;
import android.widget.RadioGroup;

import com.concatsys.tradein.tradein_plugin.R;
import com.concatsys.tradein.tradein_plugin.api.ConstantsApi;
import com.concatsys.tradein.tradein_plugin.dialogsandviews.ToastCustomize;
import com.concatsys.tradein.tradein_plugin.logs.LoggerTradeIn;

import java.util.ArrayList;
import java.util.HashMap;

public class VehicleRadioActivity extends BaseActivity implements View.OnClickListener {
    private String TAG = getClass().getSimpleName();
    int radioPosition = 0;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.setLayout(R.layout.activity_vehicle_radio);
        super.onCreate(savedInstanceState);
        Intent intent = getIntent();
        ConstantsActivity.AL_NEW_RADIO_CHECK_OPTIONS = (ArrayList<HashMap<String, String>>) intent.getSerializableExtra(ConstantsActivity.SELECT_OPTION_PASS);
        LoggerTradeIn.e(TAG, ConstantsActivity.AL_NEW_RADIO_CHECK_OPTIONS.size() + "");
//        LoggerTradeIn.e(TAG, ConstantsActivity.AL_NEW_RADIO_CHECK_OPTIONS.get(0).get(ConstantsActivity.SELECT_OPTION_PASS)+"");
        initUI();
//        radioGroup = findViewById(R.id.radio_group_options_lyt);
        addRadioButtons(ConstantsActivity.AL_NEW_RADIO_CHECK_OPTIONS);
    }

    private void searchFilterOptions(String strSearch) {
        LoggerTradeIn.e(TAG, "searchFilterOptions");
        ConstantsActivity.AL_NEW_RADIO_CHECK_OPTIONS_FILTER.clear();
        for (int i = 0; i < ConstantsActivity.AL_NEW_RADIO_CHECK_OPTIONS.size(); i++) {
            String strArrayItemValue = ConstantsActivity.AL_NEW_RADIO_CHECK_OPTIONS.get(i).get(ConstantsActivity.SELECT_OPTION_PASS);
            String strArrayItemId = "";
            if (ConstantsActivity.SELECT_OPTION_PASS.equalsIgnoreCase(ConstantsApi.KEYS_DROP_DOWN_MAKE[1])) {
                strArrayItemId = ConstantsActivity.AL_NEW_RADIO_CHECK_OPTIONS.get(i).get(ConstantsApi.KEYS_DROP_DOWN_MAKE[0]);
            }
            if (ConstantsActivity.SELECT_OPTION_PASS.equalsIgnoreCase(ConstantsApi.KEYS_DROP_DOWN_MODEL[1])) {
                strArrayItemId = ConstantsActivity.AL_NEW_RADIO_CHECK_OPTIONS.get(i).get(ConstantsApi.KEYS_DROP_DOWN_MODEL[0]);
            }

            LoggerTradeIn.e(TAG, strArrayItemValue);
            if (strArrayItemValue.contains(strSearch) || strArrayItemValue.toLowerCase().contains(strSearch)) {
                HashMap<String, String> hm = new HashMap<>();
                hm.put(ConstantsActivity.SELECT_OPTION_PASS, strArrayItemValue);
                if (ConstantsActivity.SELECT_OPTION_PASS.equalsIgnoreCase(ConstantsApi.KEYS_DROP_DOWN_MAKE[1])) {
                    hm.put(ConstantsApi.KEYS_DROP_DOWN_MAKE[0], strArrayItemId);
                }
                if (ConstantsActivity.SELECT_OPTION_PASS.equalsIgnoreCase(ConstantsApi.KEYS_DROP_DOWN_MODEL[1])) {
                    hm.put(ConstantsApi.KEYS_DROP_DOWN_MODEL[0], strArrayItemId);
                }
                ConstantsActivity.AL_NEW_RADIO_CHECK_OPTIONS_FILTER.add(hm);
            }
        }
        addRadioButtons(ConstantsActivity.AL_NEW_RADIO_CHECK_OPTIONS_FILTER);
    }

    //    Year
//    RadioGroup radioGroup;
    private int selectedRadioButton;
    private RadioGroup radioGroup;
    private ArrayList<HashMap<String, String>> alRadioOptionsReturn = new ArrayList<>();

    private void addRadioButtons(ArrayList<HashMap<String, String>> alRadioOptions) {
        LoggerTradeIn.e(TAG, "addRadioButtons");
        alRadioOptionsReturn = alRadioOptions;
        radioGroup = findViewById(R.id.radio_group_options_lyt);
        radioGroup.removeAllViews();
        int radioCommonPadding = 30;
        for (int i = 0; i < alRadioOptions.size(); i++) {
            RadioButton radioButton = new RadioButton(this);
//            radioButton.setId(View.generateViewId());
            radioButton.setId(i);
            radioButton.setText(alRadioOptions.get(i).get(ConstantsActivity.SELECT_OPTION_PASS));
            LinearLayout.LayoutParams params = new LinearLayout.LayoutParams(LinearLayout.LayoutParams.MATCH_PARENT, LinearLayout.LayoutParams.WRAP_CONTENT, 1f);
            radioButton.setLayoutParams(params);
            radioButton.setLayoutDirection(View.LAYOUT_DIRECTION_RTL);
            radioButton.setGravity(Gravity.LEFT | Gravity.CENTER_VERTICAL);
            radioButton.setPadding(radioCommonPadding, radioCommonPadding, radioCommonPadding, radioCommonPadding);
//            radioButton.setButtonTintList(ColorStateList.valueOf(Color.BLUE));
            radioButton.setTextAppearance(android.R.style.TextAppearance_Small);
            radioButton.setButtonDrawable(R.drawable.radio_bg_color);
            radioGroup.addView(radioButton);
           /* radioButton.setOnClickListener(new View.OnClickListener() {
                @Override
                public void onClick(View v) {
                    LoggerTradeIn.e(TAG, "radioButton id - "+ radioButton.getId()+"");
                   String makeName = alRadioOptions.get(radioButton.getId()).get(ConstantsApi.KEYS_DROP_DOWN_MODEL[1]);
                   String makeId = alRadioOptions.get(radioButton.getId()).get(ConstantsApi.KEYS_DROP_DOWN_MODEL[0]);
                    LoggerTradeIn.e(TAG, "makeName  - "+ makeName+"");
                    LoggerTradeIn.e(TAG, "makeId - "+ makeId+"");

                }
            });*/
        }
        /*radioGroup.setOnCheckedChangeListener(new RadioGroup.OnCheckedChangeListener() {
            @Override
            public void onCheckedChanged(RadioGroup group, int checkedId) {
                selectedRadioButton  = group.getCheckedRadioButtonId();
            }
        });*/

        LoggerTradeIn.e(TAG, radioPosition+" @115");
        LoggerTradeIn.e(TAG, ConstantsActivity.STR_RADIO_VALUE+" @116");
        getRadioIndex();
        if (radioPosition == -1 || ConstantsActivity.STR_RADIO_VALUE.length() < 1 || ConstantsActivity.STR_RADIO_VALUE.contains("Select ")) {
//            radioGroup.clearCheck();
            LoggerTradeIn.e(TAG, "return");
            return;
        }
//        radioGroup.getChildAt(getRadioIndex()).setSelected(true);
         radioGroup.clearCheck();
//        radioGroup.getChildAt(getRadioIndex()).setChecked(true);

        ((RadioButton) radioGroup.getChildAt(getRadioIndex())).setChecked(true);
    }

    private int getRadioIndex() {
        LoggerTradeIn.e(TAG, "getRadioIndex @126");
        ArrayList<String> indexData = new ArrayList<>();
//        alRadioOptionsReturn
        for (int i = 0; i < alRadioOptionsReturn.size(); i++) {
            indexData.add(alRadioOptionsReturn.get(i).get(ConstantsActivity.SELECT_OPTION_PASS));
        }
//        radioPosition = indexData.indexOf(ConstantsActivity.STR_VI_YEAR);
        radioPosition = indexData.indexOf(ConstantsActivity.STR_RADIO_VALUE);
        LoggerTradeIn.e(TAG, "radioPosition = " + radioPosition + "");
        return radioPosition;
    }

    private EditText etSearchRadioOptions;

    /* Initialize UI */
    private void initUI() {
        LoggerTradeIn.e(TAG, "initUI");
        etSearchRadioOptions = findViewById(R.id.et_radio_options_search);
        Button btnRadioSubmit = findViewById(R.id.btn_radio_submit);
        btnRadioSubmit.setOnClickListener(this);
        LinearLayout lyt_search_radio_options = findViewById(R.id.lyt_radio_search);
        int flagSearchLength = 5;
        if (ConstantsActivity.AL_NEW_RADIO_CHECK_OPTIONS.size() < flagSearchLength) {
            lyt_search_radio_options.setVisibility(View.GONE);
        }

        /*etSearchRadioOptions.setOnEditorActionListener(new TextView.OnEditorActionListener() {
            @Override
            public boolean onEditorAction(TextView v, int actionId, KeyEvent event) {
                if (actionId == EditorInfo.IME_ACTION_SEARCH) {
                    // Your piece of code on keyboard search click
                    searchFilterOptions(etSearchRadioOptions.getText()+"");
                    return true;
                }
                return false;
            }
        });*/
        etSearchRadioOptions.addTextChangedListener(new TextWatcher() {
            @Override
            public void beforeTextChanged(CharSequence s, int start, int count, int after) {

            }

            @Override
            public void onTextChanged(CharSequence s, int start, int before, int count) {

            }

            @Override
            public void afterTextChanged(Editable s) {
                searchFilterOptions(etSearchRadioOptions.getText() + "");
            }
        });
        this.getWindow().setSoftInputMode(WindowManager.LayoutParams.SOFT_INPUT_STATE_HIDDEN);
    }

    @Override
    public void onClick(View v) {
        LoggerTradeIn.e(TAG, "Click");
        if (v.getId() == R.id.btn_radio_submit) {
            LoggerTradeIn.e(TAG, "Submit Click");
            selectedRadioButton = radioGroup.getCheckedRadioButtonId();

            if (selectedRadioButton < 0) {
                ToastCustomize.displayToast(getApplicationContext(), getString(R.string.select_option));
                return;
            }
//        String strRadioValue = ConstantsActivity.AL_RADIO_OPTIONS.get(selectedRadioButton);
            if (ConstantsActivity.SELECT_OPTION_PASS.equalsIgnoreCase(ConstantsApi.KEYS_DROP_DOWN_MAKE[1])) {
                ConstantsApi.MAKE_ID = alRadioOptionsReturn.get(selectedRadioButton).get(ConstantsApi.KEYS_DROP_DOWN_MAKE[0]);
//                LoggerTradeIn.e(TAG, "MAKE_ID = "+ConstantsApi.MODEL_ID);
            }
            if (ConstantsActivity.SELECT_OPTION_PASS.equalsIgnoreCase(ConstantsApi.KEYS_DROP_DOWN_MODEL[1])) {
                ConstantsApi.MODEL_ID = alRadioOptionsReturn.get(selectedRadioButton).get(ConstantsApi.KEYS_DROP_DOWN_MODEL[0]);
            }
            Intent returnIntent = new Intent();
//        returnIntent.putExtra(ConstantsActivity.SELECT_OPTION_PASS, ConstantsActivity.AL_RADIO_OPTIONS.get(selectedRadioButton));
//            returnIntent.putExtra(ConstantsActivity.SELECT_OPTION_PASS, alRadioOptionsReturn.get(selectedRadioButton));
            returnIntent.putExtra(ConstantsActivity.SELECT_OPTION_PASS, alRadioOptionsReturn.get(selectedRadioButton).get(ConstantsActivity.SELECT_OPTION_PASS));
            setResult(Activity.RESULT_OK, returnIntent);
            finish();
        }
    }
}
