package com.concatsys.tradein.tradein_plugin.api;

import android.app.Application;
import android.content.Context;

import com.concatsys.tradein.tradein_plugin.TradeInApplication;
import com.concatsys.tradein.tradein_plugin.interfaces.ApiCallback;
import com.concatsys.tradein.tradein_plugin.logs.LoggerTradeIn;
import com.concatsys.tradein.tradein_plugin.utils.NetworkCheck;

public class ApiOperations implements ApiCallback {
    private String TAG = getClass().getSimpleName();
    private static ApiOperations instance = null;

    private ApiOperations() {
    }

    public static ApiOperations getInstance() {
        if (instance == null) {
            instance = new ApiOperations();
        }
        return instance;
    }

    Application applicationContext;
    Context mContext;
    public void startApiCall() {
        mContext = TradeInApplication.getAppContext();
//        applicationContext = (Application) context.getApplicationContext();
        NetworkCheck networkCheck = NetworkCheck.getInstance();
        if (networkCheck.isNetworkConnected(mContext)) {
            ApiAsyncTask apiAsyncTask = null;
            if (apiAsyncTask != null) {
                apiAsyncTask.cancel(true);
            }
//            ConstantsApi.API_CALL_URL = ConstantsApi.BASE_URL+ ConstantsApi.CONTACTS_URL;
            ConstantsApi.API_CALL_URL = ConstantsApi.BASE_URL + ConstantsApi.DROP_DOWN_URL;
            apiAsyncTask = ApiAsyncTask.getInstance(mContext, ConstantsApi.API_CALL_URL);
//                    AsyncTaskApi asyncTaskApi = new AsyncTaskApi(this, BASE_URL, CONTACTS_URL);
            apiAsyncTask.execute();
        }
    }

    public void vehicleInfo() {

    }

    @Override
    public void sendResponse(String strResponse) {
        LoggerTradeIn.e(TAG, "sendResponse@44");
        LoggerTradeIn.e(TAG, strResponse);
    }
}
