package com.concatsys.tradein.tradein_plugin.api;

import android.app.Application;
import android.app.ProgressDialog;
import android.content.Context;
import android.os.Bundle;

import com.concatsys.tradein.tradein_plugin.interfaces.ApiCallback;
import com.concatsys.tradein.tradein_plugin.logs.LoggerTradeIn;
import com.concatsys.tradein.tradein_plugin.utils.NetworkCheck;

public class ProgressDialogData extends ProgressDialog implements ApiCallback {
    private String TAG = getClass().getSimpleName();
    Context mContext;
    public ProgressDialogData(Context context) {
        super(context);
        mContext = context;
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
//        startApiCall();
    }

    public void startApiCall() {
        NetworkCheck networkCheck = NetworkCheck.getInstance();
        if (networkCheck.isNetworkConnected(mContext)) {
            ApiAsyncTask apiAsyncTask = null;
            if (apiAsyncTask != null) {
                apiAsyncTask.cancel(true);
            }
//            ConstantsApi.API_CALL_URL = ConstantsApi.BASE_URL+ ConstantsApi.CONTACTS_URL;
            ConstantsApi.API_CALL_URL = ConstantsApi.BASE_URL + ConstantsApi.DROP_DOWN_URL;
            apiAsyncTask = ApiAsyncTask.getInstance(mContext, ConstantsApi.API_CALL_URL);
//                    AsyncTaskApi asyncTaskApi = new AsyncTaskApi(this, BASE_URL, CONTACTS_URL);
            apiAsyncTask.execute();
        }
    }

    @Override
    public void sendResponse(String strResponse) {
        LoggerTradeIn.e(TAG, "sendResponse@41");
        LoggerTradeIn.e(TAG, strResponse);
    }
}
