package com.concatsys.tradein.tradein_plugin.backblaze.upload_auth;

import org.json.JSONException;
import org.json.JSONObject;

public class UploadAuthModel {

    public String bucketId;
    public String uploadUrl;
    public String authorizationToken;

    public UploadAuthModel(JSONObject response) throws JSONException {
        bucketId = response.getString("bucketId");
        uploadUrl = response.getString("uploadUrl");
        authorizationToken = response.getString("authorizationToken");

    }

    public String getBucketId() {
        return bucketId;
    }

    public String getUploadUrl() {
        return uploadUrl;
    }

    public String getAuthorizationToken() {
        return authorizationToken;
    }
}
