package com.concatsys.tradein.tradein_plugin.db;

import androidx.room.Entity;
import androidx.room.PrimaryKey;

import java.sql.Date;

@Entity(tableName = ConstantsDB.TABLE_NAME_TI_ACCOUNT_SETTINGS)
public class DBAccountsModel {
    @PrimaryKey(autoGenerate = true)
    private int account_id;
    private String account_guid;
    private String account_settings;
    private Date account_created_at;
    private Date account_modified_at;

    public void setAllTableColumns(String account_guid, String account_settings, Date account_created_at, Date account_modified_at){
        this.account_guid = account_guid;
        this.account_settings = account_settings;
        this.account_created_at = account_created_at;
        this.account_modified_at = account_modified_at;
    }

    public int getAccount_id() {
        return account_id;
    }

    public void setAccount_id(int account_id) {
        this.account_id = account_id;
    }

    public String getAccount_guid() {
        return account_guid;
    }

    public void setAccount_guid(String account_guid) {
        this.account_guid = account_guid;
    }

    public String getAccount_settings() {
        return account_settings;
    }

    public void setAccount_settings(String account_settings) {
        this.account_settings = account_settings;
    }

    public Date getAccount_created_at() {
        return account_created_at;
    }

    public void setAccount_created_at(Date account_created_at) {
        this.account_created_at = account_created_at;
    }

    public Date getAccount_modified_at() {
        return account_modified_at;
    }

    public void setAccount_modified_at(Date account_modified_at) {
        this.account_modified_at = account_modified_at;
    }


}
