package com.concatsys.tradein.tradein_plugin.db;

import androidx.room.Entity;
import androidx.room.PrimaryKey;

import java.sql.Date;

@Entity(tableName = ConstantsDB.TABLE_NAME_TI_ROOFTOP_SETTINGS)
public class DBRoofTopModel {
    @PrimaryKey(autoGenerate = true)
    private int rooftop_id;
    private String rooftop_name;
    private String rooftop_guid;
    private String rooftop_account_id;
    private String rooftop_settings;
    private Date rooftop_created_at;
    private Date rooftop_modified_at;

    public void setAllTableColumns(String rooftop_name, String rooftop_guid, String rooftop_account_id, String rooftop_settings, Date rooftop_created_at, Date rooftop_modified_at) {
        this.rooftop_name = rooftop_name;
        this.rooftop_guid = rooftop_guid;
        this.rooftop_account_id = rooftop_account_id;
        this.rooftop_settings = rooftop_settings;
        this.rooftop_created_at = rooftop_created_at;
        this.rooftop_modified_at = rooftop_modified_at;
    }

    public int getRooftop_id() {
        return rooftop_id;
    }

    public void setRooftop_id(int rooftop_id) {
        this.rooftop_id = rooftop_id;
    }

    public String getRooftop_name() {
        return rooftop_name;
    }

    public void setRooftop_name(String rooftop_name) {
        this.rooftop_name = rooftop_name;
    }

    public String getRooftop_guid() {
        return rooftop_guid;
    }

    public void setRooftop_guid(String rooftop_guid) {
        this.rooftop_guid = rooftop_guid;
    }

    public String getRooftop_account_id() {
        return rooftop_account_id;
    }

    public void setRooftop_account_id(String rooftop_account_id) {
        this.rooftop_account_id = rooftop_account_id;
    }

    public String getRooftop_settings() {
        return rooftop_settings;
    }

    public void setRooftop_settings(String rooftop_settings) {
        this.rooftop_settings = rooftop_settings;
    }

    public Date getRooftop_created_at() {
        return rooftop_created_at;
    }

    public void setRooftop_created_at(Date rooftop_created_at) {
        this.rooftop_created_at = rooftop_created_at;
    }

    public Date getRooftop_modified_at() {
        return rooftop_modified_at;
    }

    public void setRooftop_modified_at(Date rooftop_modified_at) {
        this.rooftop_modified_at = rooftop_modified_at;
    }


}
