package com.concatsys.tradein.tradein_plugin.db;

import androidx.room.Entity;
import androidx.room.PrimaryKey;
import androidx.room.TypeConverters;

import java.sql.Date;


@Entity(tableName = ConstantsDB.TABLE_NAME_TI_USERS)
public class DBUsersModel {
    @PrimaryKey(autoGenerate = true)
    private int user_id;
    private String user_guid;
    private String user_device_udid;
    private String user_rooftop_id;
    private String user_first_name;
    private String user_last_name;
    private String user_email_id;
    private String user_phone_number;
    private String user_zipcode;
    @TypeConverters(DateConverterDB.class)
    private Date user_created_at;
    @TypeConverters(DateConverterDB.class)
    private Date user_modified_at;

    public void setAllTableColumns(String user_guid, String user_device_udid, String user_rooftop_id, String user_first_name, String user_last_name, String user_email_id, String user_phone_number, String user_zipcode, Date user_created_at, Date user_modified_at) {
        this.user_guid = user_guid;
        this.user_device_udid = user_device_udid;
        this.user_rooftop_id = user_rooftop_id;
        this.user_first_name = user_first_name;
        this.user_last_name = user_last_name;
        this.user_email_id = user_email_id;
        this.user_phone_number = user_phone_number;
        this.user_zipcode = user_zipcode;
        this.user_created_at = user_created_at;
        this.user_modified_at = user_modified_at;
    }

    public int getUser_id() {
        return user_id;
    }

    public void setUser_id(int user_id) {
        this.user_id = user_id;
    }

    public String getUser_guid() {
        return user_guid;
    }

    public void setUser_guid(String user_guid) {
        this.user_guid = user_guid;
    }

    public String getUser_device_udid() {
        return user_device_udid;
    }

    public void setUser_device_udid(String user_device_udid) {
        this.user_device_udid = user_device_udid;
    }

    public String getUser_rooftop_id() {
        return user_rooftop_id;
    }

    public void setUser_rooftop_id(String user_rooftop_id) {
        this.user_rooftop_id = user_rooftop_id;
    }

    public String getUser_first_name() {
        return user_first_name;
    }

    public void setUser_first_name(String user_first_name) {
        this.user_first_name = user_first_name;
    }

    public String getUser_last_name() {
        return user_last_name;
    }

    public void setUser_last_name(String user_last_name) {
        this.user_last_name = user_last_name;
    }

    public String getUser_email_id() {
        return user_email_id;
    }

    public void setUser_email_id(String user_email_id) {
        this.user_email_id = user_email_id;
    }

    public String getUser_phone_number() {
        return user_phone_number;
    }

    public void setUser_phone_number(String user_phone_number) {
        this.user_phone_number = user_phone_number;
    }

    public String getUser_zipcode() {
        return user_zipcode;
    }

    public void setUser_zipcode(String user_zipcode) {
        this.user_zipcode = user_zipcode;
    }

    public Date getUser_created_at() {
        return user_created_at;
    }

    public void setUser_created_at(Date user_created_at) {
        this.user_created_at = user_created_at;
    }

    public Date getUser_modified_at() {
        return user_modified_at;
    }

    public void setUser_modified_at(Date user_modified_at) {
        this.user_modified_at = user_modified_at;
    }

}
