package com.concatsys.tradein.tradein_plugin.db;

import androidx.room.Entity;
import androidx.room.PrimaryKey;

import java.sql.Date;

@Entity(tableName = ConstantsDB.TABLE_NAME_TI_VEHICLE)
public class DBVehiclesModel {
    @PrimaryKey(autoGenerate = true)
    private int vehicle_id;
    private int vehicle_user_id;
    private String vehicle_guid;
    private boolean vehicle_is_uploaded;
    private double vehicle_info_percentage;
    private String vehicle_year;
    private String vehicle_make;
    private String vehicle_make_name;
    private String vehicle_model;
    private String vehicle_model_name;
    private String vehicle_trim;
    private String vehicle_mileage;
    private String vehicle_vin;
    private String vehicle_exterior_color;
    private String vehicle_interior_color;
    private String vehicle_transmission;
    private String vehicle_drivetrain;
    private String vehicle_body_style;
    private String vehicle_engine;
    private String vehicle_seat_type;
    private String vehicle_interior_condition;
    private String vehicle_exterior_condition;
    private boolean vehicle_smoked;
    private boolean vehicle_accident;
    private String vehicle_comment;
    private String vehicle_options;
    private String vehicle_packages;
    private Date vehicle_created_at;
    private Date vehicle_modified_at;
    private String vehicle_flag;

    public void setAllTableColumns(int vehicle_user_id, String vehicle_guid, boolean vehicle_is_uploaded, double vehicle_info_percentage, String vehicle_year, String vehicle_make, String vehicle_make_name, String vehicle_model, String vehicle_model_name, String vehicle_trim, String vehicle_mileage, String vehicle_vin, String vehicle_exterior_color, String vehicle_interior_color, String vehicle_transmission, String vehicle_drivetrain, String vehicle_body_style, String vehicle_engine, String vehicle_seat_type, String vehicle_interior_condition, String vehicle_exterior_condition, boolean vehicle_smoked, boolean vehicle_accident, String vehicle_comment, String vehicle_options, String vehicle_packages, Date vehicle_created_at, Date vehicle_modified_at, String vehicle_flag) {
        this.vehicle_user_id = vehicle_user_id;
        this.vehicle_guid = vehicle_guid;
        this.vehicle_is_uploaded = vehicle_is_uploaded;
        this.vehicle_info_percentage = vehicle_info_percentage;
        this.vehicle_year = vehicle_year;
        this.vehicle_make = vehicle_make;
        this.vehicle_make_name = vehicle_make;
        this.vehicle_model = vehicle_model;
        this.vehicle_model_name = vehicle_model;
        this.vehicle_trim = vehicle_trim;
        this.vehicle_mileage = vehicle_mileage;
        this.vehicle_vin = vehicle_vin;
        this.vehicle_exterior_color = vehicle_exterior_color;
        this.vehicle_interior_color = vehicle_interior_color;
        this.vehicle_transmission = vehicle_transmission;
        this.vehicle_drivetrain = vehicle_drivetrain;
        this.vehicle_body_style = vehicle_body_style;
        this.vehicle_engine = vehicle_engine;
        this.vehicle_seat_type = vehicle_seat_type;
        this.vehicle_interior_condition = vehicle_interior_condition;
        this.vehicle_exterior_condition = vehicle_exterior_condition;
        this.vehicle_smoked = vehicle_smoked;
        this.vehicle_accident = vehicle_accident;
        this.vehicle_comment = vehicle_comment;
        this.vehicle_options = vehicle_options;
        this.vehicle_packages = vehicle_packages;
        this.vehicle_created_at = vehicle_created_at;
        this.vehicle_modified_at = vehicle_modified_at;
        this.vehicle_flag = vehicle_flag;
    }

    public int getVehicle_id() {
        return vehicle_id;
    }

    public void setVehicle_id(int vehicle_id) {
        this.vehicle_id = vehicle_id;
    }

    public int getVehicle_user_id() {
        return vehicle_user_id;
    }

    public void setVehicle_user_id(int vehicle_user_id) {
        this.vehicle_user_id = vehicle_user_id;
    }

    public String getVehicle_guid() {
        return vehicle_guid;
    }

    public void setVehicle_guid(String vehicle_guid) {
        this.vehicle_guid = vehicle_guid;
    }

    public boolean isVehicle_is_uploaded() {
        return vehicle_is_uploaded;
    }

    public void setVehicle_is_uploaded(boolean vehicle_is_uploaded) {
        this.vehicle_is_uploaded = vehicle_is_uploaded;
    }

    public double getVehicle_info_percentage() {
        return vehicle_info_percentage;
    }

    public void setVehicle_info_percentage(double vehicle_info_percentage) {
        this.vehicle_info_percentage = vehicle_info_percentage;
    }

    public String getVehicle_year() {
        return vehicle_year;
    }

    public void setVehicle_year(String vehicle_year) {
        this.vehicle_year = vehicle_year;
    }

    public String getVehicle_make() {
        return vehicle_make;
    }

    public void setVehicle_make(String vehicle_make) {
        this.vehicle_make = vehicle_make;
    }

    public String getVehicle_model() {
        return vehicle_model;
    }

    public void setVehicle_model(String vehicle_model) {
        this.vehicle_model = vehicle_model;
    }

    public String getVehicle_trim() {
        return vehicle_trim;
    }

    public void setVehicle_trim(String vehicle_trim) {
        this.vehicle_trim = vehicle_trim;
    }

    public String getVehicle_mileage() {
        return vehicle_mileage;
    }

    public void setVehicle_mileage(String vehicle_mileage) {
        this.vehicle_mileage = vehicle_mileage;
    }

    public String getVehicle_vin() {
        return vehicle_vin;
    }

    public void setVehicle_vin(String vehicle_vin) {
        this.vehicle_vin = vehicle_vin;
    }

    public String getVehicle_exterior_color() {
        return vehicle_exterior_color;
    }

    public void setVehicle_exterior_color(String vehicle_exterior_color) {
        this.vehicle_exterior_color = vehicle_exterior_color;
    }

    public String getVehicle_interior_color() {
        return vehicle_interior_color;
    }

    public void setVehicle_interior_color(String vehicle_interior_color) {
        this.vehicle_interior_color = vehicle_interior_color;
    }

    public String getVehicle_transmission() {
        return vehicle_transmission;
    }

    public void setVehicle_transmission(String vehicle_transmission) {
        this.vehicle_transmission = vehicle_transmission;
    }

    public String getVehicle_drivetrain() {
        return vehicle_drivetrain;
    }

    public void setVehicle_drivetrain(String vehicle_drivetrain) {
        this.vehicle_drivetrain = vehicle_drivetrain;
    }

    public String getVehicle_body_style() {
        return vehicle_body_style;
    }

    public void setVehicle_body_style(String vehicle_body_style) {
        this.vehicle_body_style = vehicle_body_style;
    }

    public String getVehicle_engine() {
        return vehicle_engine;
    }

    public void setVehicle_engine(String vehicle_engine) {
        this.vehicle_engine = vehicle_engine;
    }

    public String getVehicle_seat_type() {
        return vehicle_seat_type;
    }

    public void setVehicle_seat_type(String vehicle_seat_type) {
        this.vehicle_seat_type = vehicle_seat_type;
    }

    public String getVehicle_interior_condition() {
        return vehicle_interior_condition;
    }

    public void setVehicle_interior_condition(String vehicle_interior_condition) {
        this.vehicle_interior_condition = vehicle_interior_condition;
    }

    public String getVehicle_exterior_condition() {
        return vehicle_exterior_condition;
    }

    public void setVehicle_exterior_condition(String vehicle_exterior_condition) {
        this.vehicle_exterior_condition = vehicle_exterior_condition;
    }

    public boolean isVehicle_smoked() {
        return vehicle_smoked;
    }

    public void setVehicle_smoked(boolean vehicle_smoked) {
        this.vehicle_smoked = vehicle_smoked;
    }

    public boolean isVehicle_accident() {
        return vehicle_accident;
    }

    public void setVehicle_accident(boolean vehicle_accident) {
        this.vehicle_accident = vehicle_accident;
    }

    public String getVehicle_comment() {
        return vehicle_comment;
    }

    public void setVehicle_comment(String vehicle_comment) {
        this.vehicle_comment = vehicle_comment;
    }

    public String getVehicle_options() {
        return vehicle_options;
    }

    public void setVehicle_options(String vehicle_options) {
        this.vehicle_options = vehicle_options;
    }

    public String getVehicle_packages() {
        return vehicle_packages;
    }

    public void setVehicle_packages(String vehicle_packages) {
        this.vehicle_packages = vehicle_packages;
    }

    public Date getVehicle_created_at() {
        return vehicle_created_at;
    }

    public void setVehicle_created_at(Date vehicle_created_at) {
        this.vehicle_created_at = vehicle_created_at;
    }

    public Date getVehicle_modified_at() {
        return vehicle_modified_at;
    }

    public void setVehicle_modified_at(Date vehicle_modified_at) {
        this.vehicle_modified_at = vehicle_modified_at;
    }

    public String getVehicle_flag() {
        return vehicle_flag;
    }

    public void setVehicle_flag(String vehicle_flag) {
        this.vehicle_flag = vehicle_flag;
    }

    public String getVehicle_make_name() {
        return vehicle_make_name;
    }

    public void setVehicle_make_name(String vehicle_make_name) {
        this.vehicle_make_name = vehicle_make_name;
    }

    public String getVehicle_model_name() {
        return vehicle_model_name;
    }

    public void setVehicle_model_name(String vehicle_model_name) {
        this.vehicle_model_name = vehicle_model_name;
    }
}
