//
//  SampleViewController.swift
//  Runner
//
//  Created by NUNC on 01/03/22.
//

import UIKit
import Flutter
import Alamofire


class SampleViewController: UIViewController{


    override func viewDidLoad() {
        
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        // UIFont.loadFont(
        //     withFilenameString: "NunitoSans-SemiBold.ttf",
        //     bundle: Bundle(for: type(of: self))
        // )
        self.view.backgroundColor = .red
        let image = UIImage(named: "Camera.png", in: Bundle(for: type(of: self)), compatibleWith: nil)

//        let image = UIImage.init(named: "Camera")
        let imageView = UIImageView.init(image: image)
        imageView.frame = CGRect.init(x: 50, y: 100, width: 100, height: 100)
        self.view.addSubview(imageView)
        let label = UILabel()
        label.frame = CGRect.init(x: imageView.frame.minX, y: imageView.frame.maxY+20, width: 100, height: 20)
        label.text = "Test"
//        label.font = UIFont(name: "NunitoSans-Bold", size: 17)
        self.view.addSubview(label)
    }
    

}

public extension UIFont {

    static func loadFont(withFilenameString:String,bundle:Bundle) {
        let bundleUrl = Bundle.init(identifier: "")
            if let fontUrl = bundle.url(forResource: withFilenameString, withExtension: "ttf"),
               let dataProvider = CGDataProvider(url: fontUrl as CFURL),
               let newFont = CGFont(dataProvider) {
                var error: Unmanaged<CFError>?
                if !CTFontManagerRegisterGraphicsFont(newFont, &error)
                    {
                        print("Error loading Font!")
                } else {
                    print("Loaded font")
                }
            } else {
                assertionFailure("Error loading font")
            }
        }
}
