package com.concatsys.tradein.tradein_plugin.activity;

import android.os.Bundle;
import android.view.View;
import android.widget.Button;

import androidx.appcompat.app.AppCompatActivity;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;

import com.concatsys.tradein.tradein_plugin.R;
import com.concatsys.tradein.tradein_plugin.adapter.ChattingAdapter;

import java.util.ArrayList;
import java.util.Arrays;

public class ChattingMessageActivity extends BaseActivity {
    RecyclerView rv_chat;
    ChattingAdapter adapterRV;
    public static ArrayList<String> AL_CHAT_MESSAGE = new ArrayList<>();
    public static String[] ARRAY_CHAT_MESSAGE_TWO = {"Like New Vehicle", "Has Minor Defect", "Few Minor Defects", "Hello"};
    public static ArrayList<String> AL_CHAT_MESSAGE_TWO = new ArrayList<>(Arrays.asList(ARRAY_CHAT_MESSAGE_TWO));

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        ConstantsActivity.ACTIVITY_TITLES = getString(R.string.message);
        super.setLayout(R.layout.activity_message_ui_v2);
        super.onCreate(savedInstanceState);
//        setContentView(R.layout.activity_message_ui_v2);

        Button btn_send = findViewById(R.id.btn_send);
        btn_send.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                AL_CHAT_MESSAGE.add("send");
                adapterRV.notifyDataSetChanged();
            }
        });
        Button btn_receive = findViewById(R.id.btn_receive);
        btn_receive.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                AL_CHAT_MESSAGE.add("receive");
                adapterRV.notifyDataSetChanged();
            }
        });

        rv_chat = findViewById(R.id.rv_chat);
        rv_chat.setLayoutManager(new LinearLayoutManager(this));
        rv_chat.setHasFixedSize(true);

        adapterRV = new ChattingAdapter(this, AL_CHAT_MESSAGE, AL_CHAT_MESSAGE_TWO,R.layout.view_item_message_chat_v2);
        rv_chat.setAdapter(adapterRV);
    }

}
