package com.concatsys.tradein.tradein_plugin.activity;

import android.net.Uri;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;

public class ConstantsActivity {
    public static boolean TOP_BAR_VISIBILITY = false;
    public static String ACTIVITY_TITLES = "";
    public static String ERROR_MESSAGE_VALIDATE = "";
    //  vehicle info one
    public static String SELECT_OPTION_PASS = "";
    public static String SELECT_OPTION_PASS_IDS = "";
    public static String SELECT_OPTION_PASS_TWO = "pass_two";
    public static String SELECT_OPTION_RETURN_VALUE = "";
    public static String SELECT_OPTION_RETURN_VALUE_IDS = "";
    public static String SELECT_OPTION_PASS_YEAR = "year";
    public static String SELECT_OPTION_PASS_MAKE = "make";
    public static String SELECT_OPTION_PASS_MODEL = "model";
    public static String SELECT_OPTION_PASS_TRIM = "trim";
    public static String SELECT_OPTION_PASS_EXTERIOR_COLOR = "exterior_color";

    public static String[] ARRAY_YEARS = {"2022", "2021", "2020", "2019", "2018", "2017", "2016", "2015", "2014", "2013", "2012", "2011",
            "2010", "2009", "2008", "2007", "2006", "2005", "2004", "2003", "2002", "2001", "2000"
    };
    public static String[] ARRAY_TRIM = {"Technology Package", "Technology & Entertainment Package", "Advance Package", "Advance & Entertainment Package"};
    public static String[] ARRAY_MAKE = {"Acura", "Alfa", "Aston", "Bentiey", "Bmw", "Chevrolet", "Chrysler", "Classic", "Club", "Dodge", "Ferrai", "Fiat", "Ford", "Honda", "Hyundai"};
    public static String[] ARRAY_Model = {"ILX", "MDX", "MDX SPORT HYBRID", "NSX", "RDX", "RLX", "RLX SPORT HYBRID", "TLX"};
    public static String[] ARRAY_EXTERIOR_COLOR = {"Red", "Orange", "Black", "Green", "Yellow", "Black Coral", "Electric Indigo", "Bronze Color", "Sky Blue Color", "Light Green", "Golden Yellow", "Beige Color",
            "Canary Yellow", "Blue Gray", "Jet Color", "Smoky Black", "Blood Red", "Apricot Color", "Blush Color", "Metallic Gold", "Rouge Color", "Marigold Color", "Rosewood Color"};

    public static ArrayList<String> AL_RADIO_CHECK_OPTIONS = new ArrayList<>();
    public static ArrayList<HashMap<String, String>> AL_NEW_RADIO_CHECK_OPTIONS = new ArrayList<>();
    public static ArrayList<String> AL_RADIO_YEARS = new ArrayList<>(Arrays.asList(ARRAY_YEARS));
    public static ArrayList<String> AL_RADIO_MAKE = new ArrayList<>(Arrays.asList(ARRAY_MAKE));
    public static ArrayList<String> AL_RADIO_MODEL = new ArrayList<>(Arrays.asList(ARRAY_Model));
    public static ArrayList<String> AL_RADIO_TRIM = new ArrayList<>(Arrays.asList(ARRAY_TRIM));
    public static ArrayList<String> AL_RADIO_EXTERIOR_COLOR = new ArrayList<>(Arrays.asList(ARRAY_EXTERIOR_COLOR));
    public static ArrayList<String> AL_RADIO_CHECK_OPTIONS_FILTER = new ArrayList<>();
    public static ArrayList<HashMap<String, String>> AL_NEW_RADIO_CHECK_OPTIONS_FILTER = new ArrayList<>();

    //  vehicle info two
    public static String SELECT_OPTION_PASS_INTERIOR_COLOR = "interior_color";
    public static String SELECT_OPTION_PASS_TRANSMISSION = "transmission";
    public static String SELECT_OPTION_PASS_DRIVE_TRAIN = "drive_train";
    public static String SELECT_OPTION_PASS_BODY_STYLE = "body_style";
    public static String SELECT_OPTION_PASS_ENGINE = "engine";
    public static String SELECT_OPTION_PASS_SEAT_TYPE = "seat_type";

    public static String[] ARRAY_INTERIOR_COLOR = {"Red", "Orange", "Black", "Green", "Yellow", "Black Coral", "Electric Indigo", "Bronze Color", "Sky Blue Color", "Light Green", "Golden Yellow", "Beige Color",
            "Canary Yellow", "Blue Gray", "Jet Color", "Smoky Black", "Blood Red", "Apricot Color", "Blush Color", "Metallic Gold", "Rouge Color", "Marigold Color", "Rosewood Color"};
    public static String[] ARRAY_TRANSMISSION = {"Automatic", "Manual"};
    public static String[] ARRAY_DRIVE_TRAIN = {"AWD", "FWD", "RWD", "4WD"};
    public static String[] ARRAY_BODY_STYLE = {"Coupe", "Convertible", "Pickup", "Suv", "Sedan", "Wagon", "Van"};
    public static String[] ARRAY_ENGINE = {"2.4l_4 Cylinder", "3.5l6 Cylinder"};
    public static String[] ARRAY_SEAT_TYPE = {"Leather", "Fabric", "Faux Leather", "Nylon", "Polyester"};

    public static ArrayList<String> AL_RADIO_INTERIOR_COLOR = new ArrayList<>(Arrays.asList(ARRAY_INTERIOR_COLOR));
    public static ArrayList<String> AL_RADIO_TRANSMISSION = new ArrayList<>(Arrays.asList(ARRAY_TRANSMISSION));
    public static ArrayList<String> AL_RADIO_DRIVE_TRAIN = new ArrayList<>(Arrays.asList(ARRAY_DRIVE_TRAIN));
    public static ArrayList<String> AL_RADIO_BODY_STYLE = new ArrayList<>(Arrays.asList(ARRAY_BODY_STYLE));
    public static ArrayList<String> AL_RADIO_ENGINE = new ArrayList<>(Arrays.asList(ARRAY_ENGINE));
    public static ArrayList<String> AL_RADIO_SEAT_TYPE = new ArrayList<>(Arrays.asList(ARRAY_SEAT_TYPE));
    //  vehicle Options
    public static String SELECT_OPTION_PASS_VEHICLE_OPTION = "vehicle_option";
    public static String[] ARRAY_VEHICLE_OPTIONS = {"Sunroof", "Dvd Entertainment System", "Lane Assist", "Premium Audio", "Adaptive Cruise Control", "Heated Steering Wheel", "Apple Carplay", "Headup Display", "Wireless Charging Pad", "Navigation"};
    public static ArrayList<String> AL_CHECK_VEHICLE_OPTIONS = new ArrayList<>(Arrays.asList(ARRAY_VEHICLE_OPTIONS));
    public static ArrayList<String> AL_CHECK_BOX_OPTIONS = new ArrayList<>();
    public static ArrayList<String> AL_CHECK_BOX_OPTIONS_IDS = new ArrayList<>();
    //  vehicle Condition
    public static String SELECT_OPTION_PASS_CONDITION_INTERIOR = "condition_interior";
    public static String SELECT_OPTION_PASS_CONDITION_EXTERIOR = "condition_exterior";
    public static String SELECT_MAKE_ID = "";
    public static String[] ARRAY_CONDITION_INTERIOR = {"Excellent", "Very Good", "Good", "Fair"};
    public static ArrayList<String> AL_CONDITION_INTERIOR = new ArrayList<>(Arrays.asList(ARRAY_CONDITION_INTERIOR));
    public static String[] ARRAY_CONDITION_INTERIOR_TWO = {"Like New Condition", "Has Minor Defect", "Few Minor Defects", "Possible Major Issue, Might Require Repairing/Replacing"};
    public static ArrayList<String> AL_CONDITION_INTERIOR_TWO = new ArrayList<>(Arrays.asList(ARRAY_CONDITION_INTERIOR_TWO));
    public static String strUriCommon = "", strUriIds = "";
    public static ArrayList<Uri> alVMGridUri = new ArrayList<>();;
    public static ArrayList<String> alVMGridStr = new ArrayList<>();
    public static HashMap<String, String> hmDBVehicles = new HashMap<>();
    public static HashMap<String, String> hmUsers = new HashMap<>();
    public static boolean flagUpdateEdit = false;
    public static String ACTIVITY_UPDATE_FLAG = "";
    public static String ACTIVITY_UPDATE_FLAG_NEW = "NEW";
    public static String ACTIVITY_UPDATE_FLAG_DB = "DB";
    public static String ACTIVITY_UPDATE_FLAG_API = "API";

    public static String STR_VI_YEAR = "";
    public static String STR_VI_MAKE = "";
    public static String STR_VI_MAKE_NAME = "";
    public static String STR_VI_MODEL = "";
    public static String STR_VI_MODEL_NAME = "";
    public static String STR_VI_TRIM = "";
    public static String STR_VI_MILEAGE = "";
    public static String STR_VI_VIN = "";
    public static String STR_VI_EXTERIOR_COLOR = "";

    public static String STR_VI_INTERIOR_COLOR = "";
    public static String STR_VI_TRANSMISSION = "";
    public static String STR_VI_DRIVETRAIN = "";
    public static String STR_VI_BODY_STYLE = "";
    public static String STR_VI_ENGINE = "";
    public static String STR_VI_SEAT_TYPE = "";

    public static String STR_VO_VEHICLE_OPTIONS_IDS = "";
    public static String STR_VO_VEHICLE_OPTIONS_NAMES = "";
    public static String STR_VO_VEHICLE_OPTIONS_NAMES_IDS = "";
    public static String STR_VO_PACKAGES = "";

    public static String STR_VC_INTERIOR_CONDITIONS = "";
    public static String STR_VC_EXTERIOR_CONDITIONS = "";
    public static String STR_VC_SMOKED = "";
    public static String STR_VC_ACCIDENT = "";
    public static String STR_VC_COMMENT = "";

    public static String STR_VM_MEDIA_URLS = "";

    public static String STR_UP_FIRST_NAME = "";
    public static String STR_UP_LAST_NAME = "";
    public static String STR_UP_EMAIL = "";
    public static String STR_UP_PHONE = "";
    public static String STR_UP_ZIP = "";

    public static int CARD_MARGIN_ZERO = 0;
    public static int CARD_MARGIN = 40;
    public static String STR_RADIO_VALUE = "";
    public static int editPosition = 0;

}
