package com.concatsys.tradein.tradein_plugin.api;

import android.net.Uri;

import com.concatsys.tradein.tradein_plugin.R;
import com.concatsys.tradein.tradein_plugin.activity.ConstantsActivity;
import com.concatsys.tradein.tradein_plugin.dialogsandviews.ToastCustomize;
import com.concatsys.tradein.tradein_plugin.logs.LoggerTradeIn;

import org.json.JSONException;
import org.json.JSONObject;

public class ApiListOperations {
    private String TAG = getClass().getSimpleName();
    private static ApiListOperations instance = null;

    private ApiListOperations() {
    }

    public static ApiListOperations getInstance() {
        if (instance == null) {
            instance = new ApiListOperations();
        }
        return instance;
    }

    public void jsonOperationAllDropDowns(String strResponse) {
        try {
            LoggerTradeIn.e(TAG, "jsonOperationAllDropDowns");
//            LoggerTradeIn.e(TAG, strResponse);
            JSONObject jsonResponse = new JSONObject(strResponse);
            String strData = jsonResponse.getString(ConstantsApi.KEYS_DROP_DOWN_PARSE[2]);
            JSONObject jsonResponseDATA = new JSONObject(strData);

            ApiJsonParsing apiJsonParsing = ApiJsonParsing.getInstance();
//            alContacts = jsonParsing.jsonEmptyArrayListParse(jsonResponse.getJSONArray("contacts"));
//            alHashMapRes = jsonParsing.parseJsonHashMapDynamic(jsonResponse);
//            alHashMapKeys = apiJsonParsing.jsonHashMapArrayKeys(jsonResponse.getJSONArray("contacts"), ConstantsApi.KEYS_PARSE);
            ConstantsApi.alHMYears = apiJsonParsing.jsonHashMapArrayKeys(jsonResponseDATA.getJSONArray(ConstantsApi.KEYS_DROP_DOWN_PARSE[3]), ConstantsApi.KEYS_DROP_DOWN_YEARS);
            ConstantsApi.alHMMake = apiJsonParsing.jsonHashMapArrayKeys(jsonResponseDATA.getJSONArray(ConstantsApi.KEYS_DROP_DOWN_PARSE[4]), ConstantsApi.KEYS_DROP_DOWN_MAKE);

            ConstantsApi.alHMTrim = apiJsonParsing.jsonHashMapArrayKeys(jsonResponseDATA.getJSONArray(ConstantsApi.KEYS_DROP_DOWN_PARSE[5]), ConstantsApi.KEYS_DROP_DOWN_TRIM);
            ConstantsApi.alHMExteriorColor = apiJsonParsing.jsonHashMapArrayKeys(jsonResponseDATA.getJSONArray(ConstantsApi.KEYS_DROP_DOWN_PARSE[6]), ConstantsApi.KEYS_DROP_DOWN_EXTERIOR_COLOR);
            ConstantsApi.alHMInteriorColor = apiJsonParsing.jsonHashMapArrayKeys(jsonResponseDATA.getJSONArray(ConstantsApi.KEYS_DROP_DOWN_PARSE[7]), ConstantsApi.KEYS_DROP_DOWN_INTERIOR_COLOR);
            ConstantsApi.alHMTransmissions = apiJsonParsing.jsonHashMapArrayKeys(jsonResponseDATA.getJSONArray(ConstantsApi.KEYS_DROP_DOWN_PARSE[8]), ConstantsApi.KEYS_DROP_DOWN_TRANSMISSION);
            ConstantsApi.alHMDriveTrains = apiJsonParsing.jsonHashMapArrayKeys(jsonResponseDATA.getJSONArray(ConstantsApi.KEYS_DROP_DOWN_PARSE[9]), ConstantsApi.KEYS_DROP_DOWN_DRIVE_TRAIN);
            ConstantsApi.alHMBodyStyles = apiJsonParsing.jsonHashMapArrayKeys(jsonResponseDATA.getJSONArray(ConstantsApi.KEYS_DROP_DOWN_PARSE[10]), ConstantsApi.KEYS_DROP_DOWN_BODY_STYLE);
            ConstantsApi.alHMEngines = apiJsonParsing.jsonHashMapArrayKeys(jsonResponseDATA.getJSONArray(ConstantsApi.KEYS_DROP_DOWN_PARSE[11]), ConstantsApi.KEYS_DROP_DOWN_ENGINE);
            ConstantsApi.alHMSeatTypes = apiJsonParsing.jsonHashMapArrayKeys(jsonResponseDATA.getJSONArray(ConstantsApi.KEYS_DROP_DOWN_PARSE[12]), ConstantsApi.KEYS_DROP_DOWN_SEAT_TYPE);
            ConstantsApi.alHMVehicleOptions = apiJsonParsing.jsonHashMapArrayKeys(jsonResponseDATA.getJSONArray(ConstantsApi.KEYS_DROP_DOWN_PARSE[13]), ConstantsApi.KEYS_DROP_DOWN_VEHICLE_OPTION);
            ConstantsApi.alHMInteriorVehicleConditions = apiJsonParsing.jsonHashMapArrayKeys(jsonResponseDATA.getJSONArray(ConstantsApi.KEYS_DROP_DOWN_PARSE[14]), ConstantsApi.KEYS_DROP_DOWN_INTERIOR_CONDITION);
            ConstantsApi.alHMExteriorVehicleConditions = apiJsonParsing.jsonHashMapArrayKeys(jsonResponseDATA.getJSONArray(ConstantsApi.KEYS_DROP_DOWN_PARSE[15]), ConstantsApi.KEYS_DROP_DOWN_EXTERIOR_CONDITION);
            ConstantsApi.alHMVehicleSmoke = apiJsonParsing.jsonHashMapArrayKeys(jsonResponseDATA.getJSONArray(ConstantsApi.KEYS_DROP_DOWN_PARSE[16]), ConstantsApi.KEYS_DROP_DOWN_SMOKE);
            ConstantsApi.alHMVehicleAccident = apiJsonParsing.jsonHashMapArrayKeys(jsonResponseDATA.getJSONArray(ConstantsApi.KEYS_DROP_DOWN_PARSE[17]), ConstantsApi.KEYS_DROP_DOWN_ACCIDENT);

//            LoggerTradeIn.e(TAG, alHMYears.size() + "");
            LoggerTradeIn.e(TAG, ConstantsApi.alHMYears.get(0).get(ConstantsApi.KEYS_DROP_DOWN_YEARS[1]) + "");
            LoggerTradeIn.e(TAG, ConstantsApi.alHMMake.get(0).get(ConstantsApi.KEYS_DROP_DOWN_MAKE[1]) + "");
            LoggerTradeIn.e(TAG, ConstantsApi.alHMTrim.get(0).get(ConstantsApi.KEYS_DROP_DOWN_TRIM[1]) + "");
            LoggerTradeIn.e(TAG, ConstantsApi.alHMExteriorColor.get(0).get(ConstantsApi.KEYS_DROP_DOWN_EXTERIOR_COLOR[1]) + "");
            LoggerTradeIn.e(TAG, ConstantsApi.alHMInteriorColor.get(0).get(ConstantsApi.KEYS_DROP_DOWN_INTERIOR_COLOR[1]) + "");
            LoggerTradeIn.e(TAG, ConstantsApi.alHMTransmissions.get(0).get(ConstantsApi.KEYS_DROP_DOWN_TRANSMISSION[1]) + "");
            LoggerTradeIn.e(TAG, ConstantsApi.alHMDriveTrains.get(0).get(ConstantsApi.KEYS_DROP_DOWN_DRIVE_TRAIN[1]) + "");
            LoggerTradeIn.e(TAG, ConstantsApi.alHMBodyStyles.get(0).get(ConstantsApi.KEYS_DROP_DOWN_BODY_STYLE[1]) + "");
            LoggerTradeIn.e(TAG, ConstantsApi.alHMEngines.get(0).get(ConstantsApi.KEYS_DROP_DOWN_ENGINE[1]) + "");
            LoggerTradeIn.e(TAG, ConstantsApi.alHMSeatTypes.get(0).get(ConstantsApi.KEYS_DROP_DOWN_SEAT_TYPE[1]) + "");
            LoggerTradeIn.e(TAG, ConstantsApi.alHMVehicleOptions.get(0).get(ConstantsApi.KEYS_DROP_DOWN_VEHICLE_OPTION[1]) + "");
            LoggerTradeIn.e(TAG, ConstantsApi.alHMInteriorVehicleConditions.get(0).get(ConstantsApi.KEYS_DROP_DOWN_INTERIOR_CONDITION[1]) + "");
            LoggerTradeIn.e(TAG, ConstantsApi.alHMExteriorVehicleConditions.get(0).get(ConstantsApi.KEYS_DROP_DOWN_EXTERIOR_CONDITION[1]) + "");
            LoggerTradeIn.e(TAG, ConstantsApi.alHMVehicleSmoke.get(0).get(ConstantsApi.KEYS_DROP_DOWN_SMOKE[1]) + "");
            LoggerTradeIn.e(TAG, ConstantsApi.alHMVehicleAccident.get(0).get(ConstantsApi.KEYS_DROP_DOWN_ACCIDENT[1]) + "");

//            appendDataRecyclerView();
//            finish();
        } catch (JSONException e) {
            e.printStackTrace();
            LoggerTradeIn.e(TAG, e + "");
        }
    }

    public void jsonOperationModel(String strResponse) {
        try {
            LoggerTradeIn.e(TAG, "jsonOperationModel");
//            LoggerTradeIn.e(TAG, strResponse);
            JSONObject jsonResponse = new JSONObject(strResponse);
            ApiJsonParsing apiJsonParsing = ApiJsonParsing.getInstance();
            ConstantsApi.alHMModel = apiJsonParsing.jsonHashMapArrayKeys(jsonResponse.getJSONArray(ConstantsApi.KEYS_DROP_DOWN_PARSE[2]), ConstantsApi.KEYS_DROP_DOWN_MODEL);
            LoggerTradeIn.e(TAG, ConstantsApi.alHMModel.size() + "");
            LoggerTradeIn.e(TAG, ConstantsApi.alHMModel.get(0).get(ConstantsApi.KEYS_DROP_DOWN_MODEL[1]) + "");
//            finish();
        } catch (JSONException e) {
            e.printStackTrace();
            LoggerTradeIn.e(TAG, e + "");
        }
    }

    public void jsonOperationUserProfile(String strResponse) {
        LoggerTradeIn.e(TAG, "jsonOperationUserProfile");
//        LoggerTradeIn.e(TAG, strResponse);
        try {
            JSONObject jsonResponse = new JSONObject(strResponse);
            String strData = jsonResponse.getString(ConstantsApi.KEYS_USER_PROFILE[2]);
            JSONObject jsonResponseDATA = new JSONObject(strData);
            ConstantsApi.LEAD_KEY = jsonResponseDATA.getString(ConstantsApi.KEYS_USER_PROFILE[3]);
//            ConstantsApi.alHMMedia = apiJsonParsing.jsonHashMapArrayKeys(jsonResponse.getJSONArray(ConstantsApi.KEYS_DROP_DOWN_PARSE[2]), ConstantsApi.KEYS_DROP_DOWN_MODEL);
            LoggerTradeIn.e(TAG, "LEAD KEY = " + ConstantsApi.LEAD_KEY + "");

        } catch (JSONException e) {
            e.printStackTrace();
            LoggerTradeIn.e(TAG, e + "");
        }
    }

    public void jsonOperationMedia(String strResponse) {
        LoggerTradeIn.e(TAG, "jsonOperationMedia");
        try {
            JSONObject jsonResponse = new JSONObject(strResponse);
            ConstantsApi.mediaMessage = jsonResponse.getString(ConstantsApi.KEYS_MEDIA[1]);
            LoggerTradeIn.e(TAG, "MSG = " + ConstantsApi.mediaMessage + "");
           /* String strData = jsonResponse.getString(ConstantsApi.KEYS_OFFERS[2]);
            JSONObject jsonResponseDATA = new JSONObject(strData);
            ApiJsonParsing apiJsonParsing = ApiJsonParsing.getInstance();
            ConstantsApi.alHMOffers = apiJsonParsing.jsonHashMapArrayKeys(jsonResponseDATA.getJSONArray(ConstantsApi.KEYS_OFFERS[2]), ConstantsApi.KEYS_OFFERS);
            LoggerTradeIn.e(TAG, "" + ConstantsApi.alHMOffers.size() + " @120");*/

        } catch (JSONException e) {
            e.printStackTrace();
            LoggerTradeIn.e(TAG, e + "");
        }
    }

    //
    public void jsonOperationGetMedia(String strResponse) {
        LoggerTradeIn.e(TAG, "jsonOperationGetMedia");
        try {
            JSONObject jsonResponseDATA = new JSONObject(strResponse);
            ApiJsonParsing apiJsonParsing = ApiJsonParsing.getInstance();
            ConstantsApi.alHMOneVehicleGetMedia = apiJsonParsing.jsonHashMapArrayKeys(jsonResponseDATA.getJSONArray(ConstantsApi.KEYS_COMMON[2]), ConstantsApi.KEYS_VEHICLE_ONE_MEDIA_ARRAY);
            LoggerTradeIn.e(TAG, ConstantsApi.alHMOneVehicleGetMedia.size() + " @140");
        } catch (JSONException e) {
            e.printStackTrace();
            LoggerTradeIn.e(TAG, e + " @143");
        }
    }

    //
    public void jsonOperationSaveVehicle(String strResponse) {
        LoggerTradeIn.e(TAG, "jsonOperationSaveVehicle");
        try {
            JSONObject jsonResponse = new JSONObject(strResponse);
            String strMSG = jsonResponse.getString(ConstantsApi.KEYS_SAVE_VEHICLE[1]);
            LoggerTradeIn.e(TAG, "MSG = " + strMSG + "");
            String strData = jsonResponse.getString(ConstantsApi.KEYS_SAVE_VEHICLE[2]);
            LoggerTradeIn.e(TAG, "DATA = " + strData + "");
            JSONObject jsonResponseDATA = new JSONObject(strData);
            ConstantsApi.SUMMARY_VEHICLE_KEY = jsonResponseDATA.getString(ConstantsApi.KEYS_SAVE_VEHICLE[3]);
            LoggerTradeIn.e(TAG, "vehicle_fkey = " + ConstantsApi.SUMMARY_VEHICLE_KEY + "");

        } catch (JSONException e) {
            e.printStackTrace();
            LoggerTradeIn.e(TAG, e + "");
        }
    }

    //
    public void jsonOperationGetVehicles(String strResponse) {
        LoggerTradeIn.e(TAG, "jsonOperationGetVehicles");
        try {
            JSONObject jsonResponse = new JSONObject(strResponse);
//            String strMSG = jsonResponse.getString(ConstantsApi.KEYS_COMMON[1]);
//            LoggerTradeIn.e(TAG, "MSG = " + strMSG + " @151");
//            String strData = jsonResponse.getString(ConstantsApi.KEYS_COMMON[2]);
//            LoggerTradeIn.e(TAG, "DATA = " + strData + "");
            JSONObject jsonResponseDATA = new JSONObject(strResponse);
            ApiJsonParsing apiJsonParsing = ApiJsonParsing.getInstance();
//            ConstantsApi.alHMYears = apiJsonParsing.jsonHashMapArrayKeys(jsonResponseDATA.getJSONArray(ConstantsApi.KEYS_DROP_DOWN_PARSE[3]), ConstantsApi.KEYS_DROP_DOWN_YEARS);
            ConstantsApi.alHMMYVEHICLES = apiJsonParsing.jsonHashMapArrayKeys(jsonResponseDATA.getJSONArray(ConstantsApi.KEYS_COMMON[2]), ConstantsApi.KEYS_GET_VEHICLES);
            LoggerTradeIn.e(TAG, "MyVehicles Size = " + ConstantsApi.alHMMYVEHICLES.size() + "");
            LoggerTradeIn.e(TAG, "MyVehicles vehicle_id = " + ConstantsApi.alHMMYVEHICLES.get(0).get(ConstantsApi.KEYS_GET_VEHICLES[0]) + "");
//            ConstantsApi.VEHICLE_KEY_UP_URL = ConstantsApi.alHMOneVehicle.get(0).get(ConstantsApi.KEYS_VEHICLE_ONE_ARRAY[2]) + "";
//            LoggerTradeIn.e(TAG, ConstantsApi.VEHICLE_KEY_UP_URL + " @**VKey1");

        } catch (JSONException e) {
            e.printStackTrace();
            LoggerTradeIn.e(TAG, "e@161 " + e + "");
//            LoggerTradeIn.e(TAG, "e@161 "+e.getMessage() + "");
        }
    }

    //
    public void jsonOperationGetOneVehicle(String strResponse) {
        LoggerTradeIn.e(TAG, "jsonOperationGetOneVehicle");
        try {
            JSONObject jsonResponse = new JSONObject(strResponse);
            String strData = jsonResponse.getString(ConstantsApi.KEYS_COMMON[2]);
            JSONObject jsonResponseDATA = new JSONObject(strData);

            ApiJsonParsing apiJsonParsing = ApiJsonParsing.getInstance();
            ConstantsApi.alHMOneVehicle = apiJsonParsing.jsonHashMapArrayKeys(jsonResponseDATA.getJSONArray(ConstantsApi.KEYS_VEHICLE_ONE_OBJECT[3]), ConstantsApi.KEYS_VEHICLE_ONE_ARRAY);
            LoggerTradeIn.e(TAG, ConstantsApi.alHMOneVehicle.size() + " @178");
            LoggerTradeIn.e(TAG, ConstantsApi.alHMOneVehicle.get(0).get(ConstantsApi.KEYS_VEHICLE_ONE_ARRAY[27]) + " @178");

            ConstantsApi.alHMOneVehicleOptions = apiJsonParsing.jsonHashMapArrayKeys(jsonResponseDATA.getJSONArray(ConstantsApi.KEYS_VEHICLE_ONE_OBJECT[5]), ConstantsApi.KEYS_VEHICLE_ONE_OPTIONS_ARRAY);
            LoggerTradeIn.e(TAG, ConstantsApi.alHMOneVehicleOptions.size() + " @178");
            LoggerTradeIn.e(TAG, ConstantsApi.alHMOneVehicleOptions.get(0).get(ConstantsApi.KEYS_VEHICLE_ONE_OPTIONS_ARRAY[0]) + " @205");
            LoggerTradeIn.e(TAG, ConstantsApi.alHMOneVehicleOptions.get(0).get(ConstantsApi.KEYS_VEHICLE_ONE_OPTIONS_ARRAY[1]) + " @205");

            ConstantsApi.alHMOneVehicleMedia = apiJsonParsing.jsonHashMapArrayKeys(jsonResponseDATA.getJSONArray(ConstantsApi.KEYS_VEHICLE_ONE_OBJECT[4]), ConstantsApi.KEYS_VEHICLE_ONE_MEDIA_ARRAY);
            LoggerTradeIn.e(TAG, ConstantsApi.alHMOneVehicleMedia.size() + " @208");

//            HashMap<String, String> HMOneVMUrls = ConstantsApi.alHMOneVehicleMedia.get(0);//it will get the first HashMap Stored in array list
//            LoggerTradeIn.e(TAG, HMOneVMUrls.get(ConstantsApi.KEYS_VEHICLE_ONE_MEDIA_ARRAY[0]) + " @195");
            ConstantsActivity.alVMGridUri.clear();
            if(ConstantsApi.alHMOneVehicleMedia.size() > 0) {
                for (int i = 0; i < ConstantsApi.alHMOneVehicleMedia.size(); i++) {
                    String strUrl = ConstantsApi.alHMOneVehicleMedia.get(i).get(ConstantsApi.KEYS_VEHICLE_ONE_MEDIA_ARRAY[0]).toString();
                    Uri vmUri = Uri.parse(strUrl);
                    ConstantsActivity.alVMGridUri.add(vmUri);
//                ConstantsActivity.alVMGridStr.add(strUrl);
                }
                LoggerTradeIn.e(TAG, ConstantsActivity.alVMGridUri.get(0) + " @203");
            }
//            ConstantsApi.alHMOneVehicleMedia.forEach(stringStringHashMap -> );
//            ConstantsActivity.alVMGridStr.addAll(ConstantsApi.alHMOneVehicleMedia.indexOf(ConstantsApi.KEYS_VEHICLE_ONE_MEDIA_ARRAY[0]));
            /*ConstantsApi.alHMOneVehicleMedia.indexOf(ConstantsApi.KEYS_VEHICLE_ONE_MEDIA_ARRAY[0]).forEach(element -> {
                System.out.println(element);
                ConstantsActivity.alVMGridStr
            });*/
            //            ConstantsApi.alHMOneVehicleMedia.indexOf(ConstantsApi.KEYS_VEHICLE_ONE_MEDIA_ARRAY[0]).forEach(String -> ConstantsActivity.alVMGridUri);

            //            ConstantsApi.VEHICLE_KEY_UP_URL = ConstantsApi.alHMOneVehicle.get(0).get(ConstantsApi.KEYS_VEHICLE_ONE_ARRAY[2]) + "";
            LoggerTradeIn.e(TAG, ConstantsApi.VEHICLE_KEY_UP_URL + " @187");
            ConstantsActivity.STR_VI_YEAR = ConstantsApi.alHMOneVehicle.get(0).get(ConstantsApi.KEYS_VEHICLE_ONE_ARRAY[4]) + "";
            LoggerTradeIn.e(TAG, "STR_VI_YEAR = "+ConstantsActivity.STR_VI_YEAR + " @232");
            ConstantsActivity.STR_VI_MAKE = ConstantsApi.alHMOneVehicle.get(0).get(ConstantsApi.KEYS_VEHICLE_ONE_ARRAY[5]) + "";
            ConstantsActivity.STR_VI_MAKE_NAME = ConstantsApi.alHMOneVehicle.get(0).get(ConstantsApi.KEYS_VEHICLE_ONE_ARRAY[27]) + "";
            ConstantsActivity.STR_VI_MODEL = ConstantsApi.alHMOneVehicle.get(0).get(ConstantsApi.KEYS_VEHICLE_ONE_ARRAY[6]) + "";
            ConstantsActivity.STR_VI_MODEL_NAME = ConstantsApi.alHMOneVehicle.get(0).get(ConstantsApi.KEYS_VEHICLE_ONE_ARRAY[26]) + "";
            ConstantsActivity.STR_VI_TRIM = ConstantsApi.alHMOneVehicle.get(0).get(ConstantsApi.KEYS_VEHICLE_ONE_ARRAY[7]) + "";
            ConstantsActivity.STR_VI_MILEAGE = ConstantsApi.alHMOneVehicle.get(0).get(ConstantsApi.KEYS_VEHICLE_ONE_ARRAY[8]) + "";
            ConstantsActivity.STR_VI_VIN = ConstantsApi.alHMOneVehicle.get(0).get(ConstantsApi.KEYS_VEHICLE_ONE_ARRAY[9]) + "";
            ConstantsActivity.STR_VI_EXTERIOR_COLOR = ConstantsApi.alHMOneVehicle.get(0).get(ConstantsApi.KEYS_VEHICLE_ONE_ARRAY[10]) + "";

            ConstantsActivity.STR_VI_INTERIOR_COLOR = ConstantsApi.alHMOneVehicle.get(0).get(ConstantsApi.KEYS_VEHICLE_ONE_ARRAY[11]) + "";
            ConstantsActivity.STR_VI_TRANSMISSION = ConstantsApi.alHMOneVehicle.get(0).get(ConstantsApi.KEYS_VEHICLE_ONE_ARRAY[12]) + "";
            ConstantsActivity.STR_VI_DRIVETRAIN = ConstantsApi.alHMOneVehicle.get(0).get(ConstantsApi.KEYS_VEHICLE_ONE_ARRAY[13]) + "";
            ConstantsActivity.STR_VI_BODY_STYLE = ConstantsApi.alHMOneVehicle.get(0).get(ConstantsApi.KEYS_VEHICLE_ONE_ARRAY[14]) + "";
            ConstantsActivity.STR_VI_ENGINE = ConstantsApi.alHMOneVehicle.get(0).get(ConstantsApi.KEYS_VEHICLE_ONE_ARRAY[15]) + "";
            ConstantsActivity.STR_VI_SEAT_TYPE = ConstantsApi.alHMOneVehicle.get(0).get(ConstantsApi.KEYS_VEHICLE_ONE_ARRAY[16]) + "";

            ConstantsActivity.STR_VO_PACKAGES = ConstantsApi.alHMOneVehicle.get(0).get(ConstantsApi.KEYS_VEHICLE_ONE_ARRAY[17]) + "";

            ConstantsActivity.STR_VC_INTERIOR_CONDITIONS = ConstantsApi.alHMOneVehicle.get(0).get(ConstantsApi.KEYS_VEHICLE_ONE_ARRAY[18]) + "";
            ConstantsActivity.STR_VC_EXTERIOR_CONDITIONS = ConstantsApi.alHMOneVehicle.get(0).get(ConstantsApi.KEYS_VEHICLE_ONE_ARRAY[19]) + "";
            ConstantsActivity.STR_VC_SMOKED = ConstantsApi.alHMOneVehicle.get(0).get(ConstantsApi.KEYS_VEHICLE_ONE_ARRAY[20]) + "";
            ConstantsActivity.STR_VC_ACCIDENT = ConstantsApi.alHMOneVehicle.get(0).get(ConstantsApi.KEYS_VEHICLE_ONE_ARRAY[21]) + "";
            ConstantsActivity.STR_VC_COMMENT = ConstantsApi.alHMOneVehicle.get(0).get(ConstantsApi.KEYS_VEHICLE_ONE_ARRAY[28]) + "";


            String strOptionsNames, strOptionsIDS;
            ConstantsActivity.STR_VO_VEHICLE_OPTIONS_IDS = getOptionsIds();
            ConstantsActivity.STR_VO_VEHICLE_OPTIONS_NAMES = getOptionsNames();
//            strOptions = strOptions + "--" + strOptionsIDS;
            ConstantsActivity.STR_VO_VEHICLE_OPTIONS_NAMES_IDS =
                    ConstantsActivity.STR_VO_VEHICLE_OPTIONS_NAMES + "--" +
                            ConstantsActivity.STR_VO_VEHICLE_OPTIONS_IDS;
            LoggerTradeIn.e(TAG, ConstantsActivity.STR_VO_VEHICLE_OPTIONS_IDS + " @215");
            LoggerTradeIn.e(TAG, ConstantsActivity.STR_VO_VEHICLE_OPTIONS_NAMES + " @216");

//            ConstantsActivity.STR_VO_VEHICLE_OPTIONS = ConstantsApi.alHMOneVehicleOptions.get(0).get(ConstantsApi.KEYS_VEHICLE_ONE_OPTIONS_ARRAY[0])+"";
          /*  ConstantsActivity.STR_VM_MEDIA_URLS = ConstantsApi.alHMOneVehicle.get(0).get(ConstantsApi.KEYS_VEHICLE_ONE_ARRAY[24])+"";
            ConstantsActivity.STR_UP_FIRST_NAME = ConstantsApi.alHMOneVehicle.get(0).get(ConstantsApi.KEYS_VEHICLE_ONE_ARRAY[25])+"";
            ConstantsActivity.STR_UP_LAST_NAME = ConstantsApi.alHMOneVehicle.get(0).get(ConstantsApi.KEYS_VEHICLE_ONE_ARRAY[1])+"";
            ConstantsActivity.STR_UP_EMAIL = ConstantsApi.alHMOneVehicle.get(0).get(ConstantsApi.KEYS_VEHICLE_ONE_ARRAY[1])+"";
            ConstantsActivity.STR_UP_PHONE = ConstantsApi.alHMOneVehicle.get(0).get(ConstantsApi.KEYS_VEHICLE_ONE_ARRAY[1])+"";
            ConstantsActivity.STR_UP_ZIP = ConstantsApi.alHMOneVehicle.get(0).get(ConstantsApi.KEYS_VEHICLE_ONE_ARRAY[1])+"";*/

        } catch (JSONException e) {
            e.printStackTrace();
            LoggerTradeIn.e(TAG, "e@274 " + e + "");
//            LoggerTradeIn.e(TAG, "e@161 "+e.getMessage() + "");
        } catch (Exception e){
            LoggerTradeIn.e(TAG, "e@277 " + e + "");

        }
    }

    private String getOptionsIds() {
        String strOptionsIdsReturn = "";
        for (int i = 0; i < ConstantsApi.alHMOneVehicleOptions.size(); i++) {
            strOptionsIdsReturn += ConstantsApi.alHMOneVehicleOptions.get(i).get(ConstantsApi.KEYS_VEHICLE_ONE_OPTIONS_ARRAY[0]) + ", ";
        }
        strOptionsIdsReturn = strOptionsIdsReturn.replaceAll(", $", "");
        return strOptionsIdsReturn;
    }

    private String getOptionsNames() {
        String strOptionsNamesReturn = "";
        for (int i = 0; i < ConstantsApi.alHMOneVehicleOptions.size(); i++) {
            strOptionsNamesReturn += ConstantsApi.alHMOneVehicleOptions.get(i).get(ConstantsApi.KEYS_VEHICLE_ONE_OPTIONS_ARRAY[1]) + ", ";
        }
        strOptionsNamesReturn = strOptionsNamesReturn.replaceAll(", $", "");
        return strOptionsNamesReturn;
    }

    //
    public void jsonOperationGetUser(String strResponse) {
        LoggerTradeIn.e(TAG, "jsonOperationGetUser");
        try {
            JSONObject jsonResponse = new JSONObject(strResponse);
            JSONObject jsonResponseDATA = new JSONObject(strResponse);
            ApiJsonParsing apiJsonParsing = ApiJsonParsing.getInstance();
//            ConstantsApi.alHMYears = apiJsonParsing.jsonHashMapArrayKeys(jsonResponseDATA.getJSONArray(ConstantsApi.KEYS_DROP_DOWN_PARSE[3]), ConstantsApi.KEYS_DROP_DOWN_YEARS);
            ConstantsApi.alHMOneUser = apiJsonParsing.jsonHashMapArrayKeys(jsonResponseDATA.getJSONArray(ConstantsApi.KEYS_COMMON[2]), ConstantsApi.KEYS_VEHICLE_ONE_USER_ARRAY);
            ConstantsActivity.STR_UP_FIRST_NAME = ConstantsApi.alHMOneUser.get(0).get(ConstantsApi.KEYS_VEHICLE_ONE_USER_ARRAY[1]) + "";
            ConstantsActivity.STR_UP_LAST_NAME = ConstantsApi.alHMOneUser.get(0).get(ConstantsApi.KEYS_VEHICLE_ONE_USER_ARRAY[2]) + "";
            ConstantsActivity.STR_UP_EMAIL = ConstantsApi.alHMOneUser.get(0).get(ConstantsApi.KEYS_VEHICLE_ONE_USER_ARRAY[3]) + "";
            ConstantsActivity.STR_UP_PHONE = ConstantsApi.alHMOneUser.get(0).get(ConstantsApi.KEYS_VEHICLE_ONE_USER_ARRAY[4]) + "";
            ConstantsActivity.STR_UP_ZIP = ConstantsApi.alHMOneUser.get(0).get(ConstantsApi.KEYS_VEHICLE_ONE_USER_ARRAY[5]) + "";
            LoggerTradeIn.e(TAG, ConstantsActivity.STR_UP_FIRST_NAME + " @269");

        } catch (JSONException e) {
            e.printStackTrace();
            LoggerTradeIn.e(TAG, e + "");
        }
    }

    //
    public void jsonOperationOffers(String strResponse) {
        LoggerTradeIn.e(TAG, "jsonOperationOffers");
        try {
            JSONObject jsonResponse = new JSONObject(strResponse);
//            String strMSG = jsonResponse.getString(ConstantsApi.KEYS_OFFERS[1]);
//            LoggerTradeIn.e(TAG, "strMSG = " + strMSG + "");
            String strData = jsonResponse.getString(ConstantsApi.KEYS_DROP_DOWN_PARSE[2]);
            ApiJsonParsing apiJsonParsing = ApiJsonParsing.getInstance();
            ConstantsApi.alHMOffers = apiJsonParsing.jsonHashMapArrayKeys(jsonResponse.getJSONArray(ConstantsApi.KEYS_DROP_DOWN_PARSE[2]), ConstantsApi.KEYS_OFFERS);
            LoggerTradeIn.e(TAG, "Offers Size = " + ConstantsApi.alHMOffers.size() + "");
            LoggerTradeIn.e(TAG, "" + ConstantsApi.alHMOffers.get(0).get(ConstantsApi.KEYS_OFFERS[0]) + "");
            LoggerTradeIn.e(TAG, "" + ConstantsApi.alHMOffers.get(0).get(ConstantsApi.KEYS_OFFERS[1]) + "");
            LoggerTradeIn.e(TAG, "" + ConstantsApi.alHMOffers.get(0).get(ConstantsApi.KEYS_OFFERS[2]) + "");

           /* String strData = jsonResponse.getString(ConstantsApi.KEYS_OFFERS[2]);
            JSONObject jsonResponseDATA = new JSONObject(strData);
            ApiJsonParsing apiJsonParsing = ApiJsonParsing.getInstance();
            ConstantsApi.alHMOffers = apiJsonParsing.jsonHashMapArrayKeys(jsonResponseDATA.getJSONArray(ConstantsApi.KEYS_OFFERS[2]), ConstantsApi.KEYS_OFFERS);
            LoggerTradeIn.e(TAG, "" + ConstantsApi.alHMOffers.size() + " @120");*/

        } catch (JSONException e) {
            e.printStackTrace();
            LoggerTradeIn.e(TAG, e + "");
        }
    }
}
