package com.concatsys.tradein.tradein_plugin.db;

import android.net.Uri;

import androidx.room.TypeConverter;

import com.google.gson.Gson;
import com.google.gson.reflect.TypeToken;

import java.lang.reflect.Type;
import java.util.ArrayList;

public class ArrayListUriCastConverter {
    @TypeConverter
    public static ArrayList<Uri> fromString(Uri value) {
        Type listType = new TypeToken<ArrayList<Uri>>() {}.getType();
        return new Gson().fromJson(String.valueOf(value), listType);
    }
    @TypeConverter
    public static String fromArrayList(ArrayList<Uri> list) {
        Gson gson = new Gson();
        String json = gson.toJson(list);
        return json;
    }

}

