package com.concatsys.tradein.tradein_plugin.db;

import androidx.room.Entity;
import androidx.room.PrimaryKey;

import java.sql.Date;

@Entity(tableName = ConstantsDB.TABLE_NAME_TI_SDK)
public class DBSdkModel {
    @PrimaryKey(autoGenerate = true)
    private int sdk_id;
    private String sdk_ilot_id;
    private String sdk_token;
    private String sdk_mobile_token;
    private String sdk_user_name;
    private String sdk_device_udid;
    private String sdk_device_make;
    private String sdk_device_model;
    private String sdk_device_os;
    private String sdk_device_app;
    private String sdk_device_app_version;
    private Date sdk_created_at;
    private Date sdk_modified_at;

    public void setAllTableColumns(String sdk_ilot_id, String sdk_token, String sdk_mobile_token, String sdk_user_name, String sdk_device_udid, String sdk_device_make, String sdk_device_model, String sdk_device_os, String sdk_device_app, String sdk_device_app_version, Date sdk_created_at, Date sdk_modified_at) {
        this.sdk_ilot_id = sdk_ilot_id;
        this.sdk_token = sdk_token;
        this.sdk_mobile_token = sdk_mobile_token;
        this.sdk_user_name = sdk_user_name;
        this.sdk_device_udid = sdk_device_udid;
        this.sdk_device_make = sdk_device_make;
        this.sdk_device_model = sdk_device_model;
        this.sdk_device_os = sdk_device_os;
        this.sdk_device_app = sdk_device_app;
        this.sdk_device_app_version = sdk_device_app_version;
        this.sdk_created_at = sdk_created_at;
        this.sdk_modified_at = sdk_modified_at;
    }

    public int getSdk_id() {
        return sdk_id;
    }

    public void setSdk_id(int sdk_id) {
        this.sdk_id = sdk_id;
    }

    public String getSdk_ilot_id() {
        return sdk_ilot_id;
    }

    public void setSdk_ilot_id(String sdk_ilot_id) {
        this.sdk_ilot_id = sdk_ilot_id;
    }

    public String getSdk_token() {
        return sdk_token;
    }

    public void setSdk_token(String sdk_token) {
        this.sdk_token = sdk_token;
    }

    public String getSdk_mobile_token() {
        return sdk_mobile_token;
    }

    public void setSdk_mobile_token(String sdk_mobile_token) {
        this.sdk_mobile_token = sdk_mobile_token;
    }

    public String getSdk_user_name() {
        return sdk_user_name;
    }

    public void setSdk_user_name(String sdk_user_name) {
        this.sdk_user_name = sdk_user_name;
    }

    public String getSdk_device_udid() {
        return sdk_device_udid;
    }

    public void setSdk_device_udid(String sdk_device_udid) {
        this.sdk_device_udid = sdk_device_udid;
    }

    public String getSdk_device_make() {
        return sdk_device_make;
    }

    public void setSdk_device_make(String sdk_device_make) {
        this.sdk_device_make = sdk_device_make;
    }

    public String getSdk_device_model() {
        return sdk_device_model;
    }

    public void setSdk_device_model(String sdk_device_model) {
        this.sdk_device_model = sdk_device_model;
    }

    public String getSdk_device_os() {
        return sdk_device_os;
    }

    public void setSdk_device_os(String sdk_device_os) {
        this.sdk_device_os = sdk_device_os;
    }

    public String getSdk_device_app() {
        return sdk_device_app;
    }

    public void setSdk_device_app(String sdk_device_app) {
        this.sdk_device_app = sdk_device_app;
    }

    public String getSdk_device_app_version() {
        return sdk_device_app_version;
    }

    public void setSdk_device_app_version(String sdk_device_app_version) {
        this.sdk_device_app_version = sdk_device_app_version;
    }

    public Date getSdk_created_at() {
        return sdk_created_at;
    }

    public void setSdk_created_at(Date sdk_created_at) {
        this.sdk_created_at = sdk_created_at;
    }

    public Date getSdk_modified_at() {
        return sdk_modified_at;
    }

    public void setSdk_modified_at(Date sdk_modified_at) {
        this.sdk_modified_at = sdk_modified_at;
    }
}
