package com.concatsys.tradein.tradein_plugin.db;

import android.net.Uri;

import androidx.room.Entity;
import androidx.room.PrimaryKey;

import java.sql.Date;
import java.util.ArrayList;

@Entity(tableName = ConstantsDB.TABLE_NAME_TI_VEHICLE_MEDIA)
public class DBVehicleMediaModel {
    @PrimaryKey(autoGenerate = true)
    private int media_id;
    private int media_vehicle_id;
    private String media_guid;
    private String media_url;
    private ArrayList<String> media_urls;
    private String media_type;
    private String media_issequence;
    private boolean media_is_uploaded;
    private Date media_created_at;
    private Date media_modified_at;

    public void setAllTableColumns(int media_vehicle_id, String media_guid, String media_url, ArrayList<String> media_urls, String media_type, String media_issequence, boolean media_is_uploaded, Date media_created_at, Date media_modified_at) {
        this.media_vehicle_id = media_vehicle_id;
        this.media_guid = media_guid;
        this.media_url = media_url;
        this.media_urls = media_urls;
        this.media_type = media_type;
        this.media_issequence = media_issequence;
        this.media_is_uploaded = media_is_uploaded;
        this.media_created_at = media_created_at;
        this.media_modified_at = media_modified_at;
    }

    public int getMedia_id() {
        return media_id;
    }

    public void setMedia_id(int media_id) {
        this.media_id = media_id;
    }

    public int getMedia_vehicle_id() {
        return media_vehicle_id;
    }

    public void setMedia_vehicle_id(int media_vehicle_id) {
        this.media_vehicle_id = media_vehicle_id;
    }

    public String getMedia_guid() {
        return media_guid;
    }

    public void setMedia_guid(String media_guid) {
        this.media_guid = media_guid;
    }

    public String getMedia_url() {
        return media_url;
    }

    public void setMedia_url(String media_url) {
        this.media_url = media_url;
    }

    public ArrayList<String> getMedia_urls() {
        return media_urls;
    }

    public void setMedia_urls(ArrayList<String> media_urls) {
        this.media_urls = media_urls;
    }

    public String getMedia_type() {
        return media_type;
    }

    public void setMedia_type(String media_type) {
        this.media_type = media_type;
    }

    public String getMedia_issequence() {
        return media_issequence;
    }

    public void setMedia_issequence(String media_issequence) {
        this.media_issequence = media_issequence;
    }

    public boolean isMedia_is_uploaded() {
        return media_is_uploaded;
    }

    public void setMedia_is_uploaded(boolean media_is_uploaded) {
        this.media_is_uploaded = media_is_uploaded;
    }

    public Date getMedia_created_at() {
        return media_created_at;
    }

    public void setMedia_created_at(Date media_created_at) {
        this.media_created_at = media_created_at;
    }

    public Date getMedia_modified_at() {
        return media_modified_at;
    }

    public void setMedia_modified_at(Date media_modified_at) {
        this.media_modified_at = media_modified_at;
    }
}
