package com.concatsys.tradein.tradein_plugin.db;

import androidx.room.Entity;
import androidx.room.PrimaryKey;

import java.sql.Date;

@Entity(tableName = ConstantsDB.TABLE_NAME_TI_VEHICLE_OPTIONS)
public class DBVehicleOptionsModel {

    @PrimaryKey(autoGenerate = true)
    private int option_id;
    private String option_vehicle_id;
    private int option_type;
    private String option_name;
    private Date option_created_at;
    private Date option_modified_at;

    public void setAllTableColumns(String option_vehicle_id, int option_type, String option_name, Date option_created_at, Date option_modified_at){
        this.option_vehicle_id = option_vehicle_id;
        this.option_type = option_type;
        this.option_name = option_name;
        this.option_created_at = option_created_at;
        this.option_modified_at = option_modified_at;
    }

    public int getOption_id() {
        return option_id;
    }

    public void setOption_id(int option_id) {
        this.option_id = option_id;
    }

    public String getOption_vehicle_id() {
        return option_vehicle_id;
    }

    public void setOption_vehicle_id(String option_vehicle_id) {
        this.option_vehicle_id = option_vehicle_id;
    }

    public int getOption_type() {
        return option_type;
    }

    public void setOption_type(int option_type) {
        this.option_type = option_type;
    }

    public String getOption_name() {
        return option_name;
    }

    public void setOption_name(String option_name) {
        this.option_name = option_name;
    }

    public Date getOption_created_at() {
        return option_created_at;
    }

    public void setOption_created_at(Date option_created_at) {
        this.option_created_at = option_created_at;
    }

    public Date getOption_modified_at() {
        return option_modified_at;
    }

    public void setOption_modified_at(Date option_modified_at) {
        this.option_modified_at = option_modified_at;
    }

}
